NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::PostSelectionEntity Class Reference

This class has the information related to post selection entity. More...

Inheritance diagram for NXOpen::CAE::PostSelectionEntity:
NXOpen::TransientObject

Public Member Functions

void Delete ()
 Deletes the selection entity. More...
 
int EdgeId ()
 Returns the edge id selected
Created in NX11.0.2. More...
 
int ElemId ()
 Returns the elem label selected
Created in NX11.0.2. More...
 
int FaceId ()
 Returns the face id selected
Created in NX11.0.2. More...
 
bool HasEdge ()
 Tells if Edge is set. More...
 
bool HasElem ()
 Tells if Element label is set. More...
 
bool HasFace ()
 Tells if Face is set. More...
 
bool HasNode ()
 Tells if Node label is set. More...
 
bool HasPoint ()
 Tells if Point is set. More...
 
bool HasRotationAngle ()
 Tells if Rotation Angle is set. More...
 
bool HasSE ()
 Tells if Super Element id is set. More...
 
bool HasSector ()
 Tells if Sector is set. More...
 
int NodeId ()
 Returns the node id selected
Created in NX11.0.2. More...
 
NXOpen::Point3d Point ()
 Returns the point selected
Created in NX11.0.2. More...
 
double RotationAngle ()
 Returns the rotation angle selected
Created in NX11.0.2. More...
 
int SectorId ()
 Returns the node label selected
Created in NX11.0.2. More...
 
int SEId ()
 Returns the super element id selected
Created in NX11.0.2. More...
 
void SetEdgeId (int edgeId)
 Sets the edge id selected
Created in NX11.0.2. More...
 
void SetElemId (int elemId)
 Sets the elem label selected
Created in NX11.0.2. More...
 
void SetFaceId (int faceId)
 Sets the face id selected
Created in NX11.0.2. More...
 
void SetNodeId (int nodeId)
 Sets the node id selected
Created in NX11.0.2. More...
 
void SetPoint (const NXOpen::Point3d &point)
 Sets the point selected
Created in NX11.0.2. More...
 
void SetRotationAngle (double rotationAngle)
 Sets the rotation angle selected
Created in NX11.0.2. More...
 
void SetSectorId (int sectorId)
 Sets the node label selected
Created in NX11.0.2. More...
 
void SetSEId (int seId)
 Sets the super element id selected
Created in NX11.0.2. More...
 
virtual ~PostSelectionEntity ()
 Frees the object from memory. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

This class has the information related to post selection entity.

Not Each attribute of this class is relevent for all the purpose. The best way To use this class is to first check if the attribute is set before using it, if user is not sure.


To obtain an instance of this class use CAE::Post

Created in NX11.0.2.

Constructor & Destructor Documentation

virtual NXOpen::CAE::PostSelectionEntity::~PostSelectionEntity ( )
virtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX11.0.2.

License requirements : None

Member Function Documentation

void NXOpen::CAE::PostSelectionEntity::Delete ( )

Deletes the selection entity.


Created in NX11.0.2.

License requirements : None

int NXOpen::CAE::PostSelectionEntity::EdgeId ( )

Returns the edge id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::PostSelectionEntity::ElemId ( )

Returns the elem label selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::PostSelectionEntity::FaceId ( )

Returns the face id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

bool NXOpen::CAE::PostSelectionEntity::HasEdge ( )

Tells if Edge is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasElem ( )

Tells if Element label is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasFace ( )

Tells if Face is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasNode ( )

Tells if Node label is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasPoint ( )

Tells if Point is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasRotationAngle ( )

Tells if Rotation Angle is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasSE ( )

Tells if Super Element id is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bool NXOpen::CAE::PostSelectionEntity::HasSector ( )

Tells if Sector is set.

Returns

Created in NX11.0.2.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::PostSelectionEntity::NodeId ( )

Returns the node id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::Point3d NXOpen::CAE::PostSelectionEntity::Point ( )

Returns the point selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

double NXOpen::CAE::PostSelectionEntity::RotationAngle ( )

Returns the rotation angle selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::PostSelectionEntity::SectorId ( )

Returns the node label selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::PostSelectionEntity::SEId ( )

Returns the super element id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::PostSelectionEntity::SetEdgeId ( int  edgeId)

Sets the edge id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
edgeIdedgeid
void NXOpen::CAE::PostSelectionEntity::SetElemId ( int  elemId)

Sets the elem label selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
elemIdelemid
void NXOpen::CAE::PostSelectionEntity::SetFaceId ( int  faceId)

Sets the face id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
faceIdfaceid
void NXOpen::CAE::PostSelectionEntity::SetNodeId ( int  nodeId)

Sets the node id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
nodeIdnodeid
void NXOpen::CAE::PostSelectionEntity::SetPoint ( const NXOpen::Point3d point)

Sets the point selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pointpoint
void NXOpen::CAE::PostSelectionEntity::SetRotationAngle ( double  rotationAngle)

Sets the rotation angle selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
rotationAnglerotationangle
void NXOpen::CAE::PostSelectionEntity::SetSectorId ( int  sectorId)

Sets the node label selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
sectorIdsectorid
void NXOpen::CAE::PostSelectionEntity::SetSEId ( int  seId)

Sets the super element id selected
Created in NX11.0.2.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
seIdseid

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.